Summary: emi.fts.srm2-api-c
Name: srm2-api-c
Version:
Release:
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: util-c
BuildRequires: agents-common
BuildRequires: CGSI_gSOAP_2.7
BuildRequires: CGSI-gSOAP-devel
BuildRequires: lcgutil-build-common-cpp
BuildRequires: gsoap-devel
BuildRequires: glite-build-common-cpp
BuildRequires: libtool
BuildRequires: globus-common-progs
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
Requires: CGSI_gSOAP_2.7
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
Source: %{name}-%{version}.tar.gz

%description
This package provides C and C++ client API (based on gSOAP) for contacting SRM v2.2 services

%prep
 

%setup -c 

%build
mkdir -p src/autogen; aclocal -I /usr/share/emi/build/m4 -I /share/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
./configure --prefix=%{buildroot}/usr --with-version=%{version} --with-interface-version=%{version} --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-cgsi-gsoap-location=/ --enable-server-api --with-emi
 make all
  
  

%install
# glite_data_srm2_api_*_test have rpath from libtool
QA_SKIP_BUILD_ROOT=1; export QA_SKIP_BUILD_ROOT
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libglite_data_srm2_server_api_c.so
%{_libdir}/libglite_data_srm2_server_api_c.so.*
%{_libdir}/libglite_data_srm2_server_api_cpp.so.*
%{_libdir}/libglite_data_srm2_api_cpp.so.*
%{_libdir}/libglite_data_srm2_api_c.so
%{_libdir}/libglite_data_srm2_api_c.so.*
%{_libdir}/libglite_data_srm2_server_api_cpp.so
%{_libdir}/libglite_data_srm2_server_api_cpp.a
%{_libdir}/libglite_data_srm2_server_api_c.a
%{_libdir}/libglite_data_srm2_api_cpp.so
%{_libdir}/libglite_data_srm2_api_c.a
%{_libdir}/libglite_data_srm2_api_cpp.a
%dir /usr/interface/
/usr/interface/srm.v2.2.wsdl
%{_bindir}/glite_data_srm2_api_cpp_test
%{_bindir}/glite_data_srm2_api_c_test
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%dir %{_includedir}/glite/data/srm2/
%dir %{_includedir}/glite/data/srm2/c/
%{_includedir}/glite/data/srm2/c/envStub.h
%{_includedir}/glite/data/srm2/c/srm2Stub.h
%{_includedir}/glite/data/srm2/c/envH.h
%{_includedir}/glite/data/srm2/c/srm2H.h
%{_includedir}/glite/data/srm2/c/srm2.nsmap
%dir %{_includedir}/glite/data/srm2/cpp/
%{_includedir}/glite/data/srm2/cpp/envStub.h
%{_includedir}/glite/data/srm2/cpp/srm2srmSoapBindingProxy.h
%{_includedir}/glite/data/srm2/cpp/srm2Stub.h
%{_includedir}/glite/data/srm2/cpp/envH.h
%{_includedir}/glite/data/srm2/cpp/srm2srmSoapBindingObject.h
%{_includedir}/glite/data/srm2/cpp/srm2H.h
%{_includedir}/glite/data/srm2/cpp/srm2.nsmap
%dir %{_defaultdocdir}/glite-data-srm2-api-c/
%{_defaultdocdir}/glite-data-srm2-api-c/RELEASE-NOTES
%{_defaultdocdir}/glite-data-srm2-api-c/LICENSE

%changelog
 
